curl --request PATCH \
--url https://api.entendre.finance/v1/sources/{source_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"legal_entity_id": "<string>",
"ledger_account_id": "<string>",
"tag_ids": [
"<string>"
],
"add_tag_ids": [
"<string>"
],
"remove_tag_ids": [
"<string>"
],
"allow_nft_import": true,
"group_id": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
legal_entity_id: '<string>',
ledger_account_id: '<string>',
tag_ids: ['<string>'],
add_tag_ids: ['<string>'],
remove_tag_ids: ['<string>'],
allow_nft_import: true,
group_id: '<string>'
})
};
fetch('https://api.entendre.finance/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/sources/{source_id}"
payload = {
"name": "<string>",
"legal_entity_id": "<string>",
"ledger_account_id": "<string>",
"tag_ids": ["<string>"],
"add_tag_ids": ["<string>"],
"remove_tag_ids": ["<string>"],
"allow_nft_import": True,
"group_id": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "src_507f1f77bcf86cd799439011",
"source_type": "wallet",
"organization_id": null,
"legal_entity_id": null,
"name": "Treasury wallet",
"status": "active",
"created_at": null,
"updated_at": null,
"detail": {
"address": "0x0000000000000000000000000000000000000001",
"chain": "eth",
"has_credentials": false,
"ledger_account_id": null
}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Update source
Updates the source name, archive state, legal entity, tags or ledger account. Omitted fields stay unchanged.
curl --request PATCH \
--url https://api.entendre.finance/v1/sources/{source_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"legal_entity_id": "<string>",
"ledger_account_id": "<string>",
"tag_ids": [
"<string>"
],
"add_tag_ids": [
"<string>"
],
"remove_tag_ids": [
"<string>"
],
"allow_nft_import": true,
"group_id": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
legal_entity_id: '<string>',
ledger_account_id: '<string>',
tag_ids: ['<string>'],
add_tag_ids: ['<string>'],
remove_tag_ids: ['<string>'],
allow_nft_import: true,
group_id: '<string>'
})
};
fetch('https://api.entendre.finance/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/sources/{source_id}"
payload = {
"name": "<string>",
"legal_entity_id": "<string>",
"ledger_account_id": "<string>",
"tag_ids": ["<string>"],
"add_tag_ids": ["<string>"],
"remove_tag_ids": ["<string>"],
"allow_nft_import": True,
"group_id": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "src_507f1f77bcf86cd799439011",
"source_type": "wallet",
"organization_id": null,
"legal_entity_id": null,
"name": "Treasury wallet",
"status": "active",
"created_at": null,
"updated_at": null,
"detail": {
"address": "0x0000000000000000000000000000000000000001",
"chain": "eth",
"has_credentials": false,
"ledger_account_id": null
}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}| To | Send |
|---|---|
| Replace all tags | tag_ids. Send [] to clear all tags. |
| Add or remove individual tags | add_tag_ids and remove_tag_ids. Do not combine them with tag_ids. |
| Assign the ledger account | ledger_account_id. Send null to clear it. |
detail.ledger_account_id. The organization, credentials and import identity of a source cannot be changed.Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Path Parameters
ID of the source.
1Body
Provide at least one field. Omit a field to leave it unchanged.
Rename wallet, exchange, Plaid, or manual-bank sources. Other source types do not support renaming. An unsupported field returns 422 without applying the update.
Source status. Supported by wallet, exchange, Plaid and manual-bank sources. Other source types have no status and return HTTP 422.
active, archived Prefixed le_ id, or null to clear.
Ledger account (lac_…). Send null to clear it; omit to keep it. Niural sources return HTTP 422.
Replaces the tags (tag_…). [] clears them; omit to keep them. You cannot send it with add_tag_ids or remove_tag_ids. Wallet, exchange, Plaid and manual-bank sources only; other sources return HTTP 422.
Tags to add (tag_…). Wallet, exchange, Plaid and manual-bank sources only; other sources return HTTP 422.
Tags to remove (tag_…). Wallet, exchange, Plaid and manual-bank sources only; other sources return HTTP 422.
Enable or disable NFT import for a wallet. Other source types do not support this field. An unsupported field returns 422 without applying the update.
Prefixed sgp_ id of a source group, or null to remove the source from its group.
Response
The request succeeded.
Show child attributes
Show child attributes